JonasHotDeploymentTool (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.j2ee.JonasHotDeploymentTool class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.j2ee
Class JonasHotDeploymentTool

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.j2ee.AbstractHotDeploymentTool
          org.apache.tools.ant.taskdefs.optional.j2ee.GenericHotDeploymentTool
              org.apache.tools.ant.taskdefs.optional.j2ee.JonasHotDeploymentTool

All Implemented Interfaces:
  HotDeploymentTool

public class JonasHotDeploymentTool
extends GenericHotDeploymentTool
implements HotDeploymentTool

An Ant wrapper task for the weblogic.deploy tool. This is used to hot-deploy J2EE applications to a running WebLogic server. This is not the same as creating the application archive. This task assumes the archive (EAR, JAR, or WAR) file has been assembled and is supplied as the "source" attribute.

In the end, this task assembles the commadline parameters and runs the weblogic.deploy tool in a seperate JVM.

Author:
  Cyrille Morvan
See Also:
  `HotDeploymentTool`, `AbstractHotDeploymentTool`, `ServerDeploy`

Field Summary
`protected static java.lang.String` | `DEFAULT_ORB` Description of the Field

Fields inherited from interface org.apache.tools.ant.taskdefs.optional.j2ee.HotDeploymentTool
`ACTION_DELETE, ACTION_DEPLOY, ACTION_LIST, ACTION_UNDEPLOY, ACTION_UPDATE`

Constructor Summary
`JonasHotDeploymentTool()`

Method Summary
`Path` | `getClasspath()` gets the classpath field.
`protected boolean` | `isActionValid()` Determines if the action supplied is valid.
`void` | `setDavidhost(java.lang.String inValue)` Set the host for the David ORB; required if ORB==david.
`void` | `setDavidport(int inValue)` Set the port for the David ORB; required if ORB==david.
`void` | `setJonasroot(java.io.File inValue)` set the jonas root directory (-Dinstall.root=).
`void` | `setOrb(java.lang.String inValue)` Choose your ORB : RMI, JEREMIE, DAVID, ...; optional.
`void` | `validateAttributes()` Validates the passed in attributes.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.j2ee.GenericHotDeploymentTool
`createArg, createJvmarg, deploy, getClassName, getJava, setClassName, setTask`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.j2ee.AbstractHotDeploymentTool
`createClasspath, getPassword, getServer, getTask, getUserName, setClasspath, setPassword, setServer, setUserName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tools.ant.taskdefs.optional.j2ee.HotDeploymentTool
`deploy, setTask`

Field Detail

### DEFAULT_ORB

    protected static final java.lang.String DEFAULT_ORB

  Description of the Field

  See Also:
    Constant Field Values

Constructor Detail

### JonasHotDeploymentTool

    public JonasHotDeploymentTool()

Method Detail

### setDavidhost

    public void setDavidhost(java.lang.String inValue)

  Set the host for the David ORB; required if ORB==david.

  Parameters:
    `inValue` - The new davidhost value

### setDavidport

    public void setDavidport(int inValue)

  Set the port for the David ORB; required if ORB==david.

  Parameters:
    `inValue` - The new davidport value

### setJonasroot

    public void setJonasroot(java.io.File inValue)

  set the jonas root directory (-Dinstall.root=). This element is required.

  Parameters:
    `inValue` - The new jonasroot value

### setOrb

    public void setOrb(java.lang.String inValue)

  Choose your ORB : RMI, JEREMIE, DAVID, ...; optional. If omitted, it defaults to the one present in classpath. The corresponding JOnAS JAR is automatically added to the classpath. If your orb is DAVID (RMI/IIOP) you must specify davidhost and davidport properties.

  Parameters:
    `inValue` - RMI, JEREMIE, DAVID,...

### getClasspath

    public Path getClasspath()

  gets the classpath field.

  Overrides:
    `getClasspath` in class `AbstractHotDeploymentTool`
  Returns:
    A Path representing the "classpath" attribute.

### validateAttributes

    public void validateAttributes()
                            throws BuildException

  Validates the passed in attributes.

  The rules are:

  1. If action is "deploy" or "update" the "application" and "source" attributes must be supplied.
  2. If action is "delete" or "undeploy" the "application" attribute must be supplied.

  Specified by:
    `validateAttributes` in interface `HotDeploymentTool`
  Overrides:
    `validateAttributes` in class `GenericHotDeploymentTool`
  Throws:
    `BuildException` - Description of Exception

### isActionValid

    protected boolean isActionValid()

  Determines if the action supplied is valid.

  Valid actions are contained in the static array VALID_ACTIONS

  Overrides:
    `isActionValid` in class `GenericHotDeploymentTool`
  Returns:
    true if the action attribute is valid, false if not.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.